--***********************************************************
--**                    ROBERT JOHNSON                     **
--***********************************************************

require "TimedActions/ISBaseTimedAction"

ISPutOutFireDrum = ISBaseTimedAction:derive("ISPutOutFireDrum");

function ISPutOutFireDrum:isValid()
	return true;
end

function ISPutOutFireDrum:update()
end

function ISPutOutFireDrum:start()
end

function ISPutOutFireDrum:stop()
	ISBaseTimedAction.stop(self);
end

function ISPutOutFireDrum:perform()
	ISBaseTimedAction.perform(self);
    ISMetalDrum.lit(self.metalDrum, false);
end

function ISPutOutFireDrum:new(character, metalDrum)
	local o = {}
	setmetatable(o, self)
	self.__index = self
	o.stopOnWalk = true;
	o.stopOnRun = true;
	o.maxTime = 70;
    o.metalDrum = metalDrum;
	o.character  = character;
	return o;
end
